var prefs;


/*
 * Function which intialises the mozilla preferences for the ScoreWatch
 * extension. And also updates the UI with the information retrieved from the
 * preferences.
 * */
function startUp() {
    prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService)
    prefs = prefs.getBranch("extensions.ScoreWatch.");

    if(prefs.getBoolPref("enable") == true) {
        document.getElementById("enableDefault").setAttribute("checked",
        "true");
    }

    if(prefs.getBoolPref("allowAlerts") == true) {
        document.getElementById("enableAlerts").setAttribute("checked",
        "true");
    }

    document.getElementById("timeInterval").selectedIndex =  prefs.getIntPref("timeIndex");
}


/*
 * Updates the preferences
 * */
function submit() {
    prefs.setBoolPref("enable", document.getElementById("enableDefault").checked);
    prefs.setBoolPref("allowAlerts", document.getElementById("enableAlerts").checked);
    prefs.setIntPref("timeInterval", document.getElementById("timeInterval").value);
    prefs.setIntPref("timeIndex", document.getElementById("timeInterval").selectedIndex);
    window.close();
    updatePrefs();
}
